summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorAki <please@ignore.pl>2024-03-12 22:24:50 +0100
committerAki <please@ignore.pl>2024-03-12 22:24:50 +0100
commitc784978aa038df7b3777a4c3ce3e6da6dc8cc6a1 (patch)
tree15487f2fa5e959224a8dd5d5abb4ee261da2442b
parent81bb6873f1c0291fecbf6e429ad15ac3db66a4c0 (diff)
downloadstarshatter-c784978aa038df7b3777a4c3ce3e6da6dc8cc6a1.zip
starshatter-c784978aa038df7b3777a4c3ce3e6da6dc8cc6a1.tar.gz
starshatter-c784978aa038df7b3777a4c3ce3e6da6dc8cc6a1.tar.bz2
Added bash completion for ./Starshatter.exe
-rw-r--r--contrib/completion/starshatter.bash10
1 files changed, 10 insertions, 0 deletions
diff --git a/contrib/completion/starshatter.bash b/contrib/completion/starshatter.bash
new file mode 100644
index 0000000..f3f8e0b
--- /dev/null
+++ b/contrib/completion/starshatter.bash
@@ -0,0 +1,10 @@
+# Starshatter completion
+# for use with bash-completions
+
+_starshatter()
+{
+ local cur prev words cword
+ _init_completion || return
+ COMPREPLY=($(compgen -W '-nosplash -window -test -fps -dump -lan -d3d -server -dbg -filesys' -- "$cur"))
+} &&
+ complete -F _starshatter {,./}Starshatter{,.exe}